package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.HmRightsSuppliers;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HmRightsSuppliersMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Long id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(HmRightsSuppliers record);

    int insertOrUpdate(HmRightsSuppliers record);

    int insertOrUpdateSelective(HmRightsSuppliers record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(HmRightsSuppliers record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    HmRightsSuppliers selectByPrimaryKey(Long id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(HmRightsSuppliers record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(HmRightsSuppliers record);

    int updateBatch(List<HmRightsSuppliers> list);

    int updateBatchSelective(List<HmRightsSuppliers> list);

    int batchInsert(@Param("list") List<HmRightsSuppliers> list);

    List<HmRightsSuppliers> selectAll();

}
